Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class NewDataObjectDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.NewDataObjectDialog

Direct Known Subclasses:
  `NewAttributeDialog`, `NewCompoundDatasetDialog`, `NewDatasetDialog`, `NewDatatypeDialog`, `NewGroupDialog`, `NewImageDialog`

public class NewDataObjectDialog extends org.eclipse.swt.widgets.Dialog
NewDataDialog is an intermediate class for creating data types.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.eclipse.swt.widgets.Label`
  `arrayLengthLabel`
  `protected org.eclipse.swt.widgets.Button`
  `checkUnsigned`
  `protected org.eclipse.swt.widgets.Combo`
  `classChoice`
  `protected org.eclipse.swt.graphics.Font`
  `curFont`
  `protected org.eclipse.swt.widgets.Combo`
  `endianChoice`
  `protected FileFormat`
  `fileFormat`
  `boolean`
  `isEnum`
  `protected boolean`
  `isH5`
  `boolean`
  `isVLen`
  `boolean`
  `isVlenStr`
  `protected org.eclipse.swt.widgets.Text`
  `lengthField`
  TextField for entering the length of the data array or string.
  `protected org.eclipse.swt.widgets.Combo`
  `namedChoice`
  The Choice of the datatypes
  `protected List<Datatype>`
  `namedList`
  `protected HObject`
  `newObject`
  the object created
  `protected List<?>`
  `objList`
  `protected HObject`
  `parentObj`
  the object which the this object is attached
  `protected HObject`
  `refObject`
  the object referenced
  `protected org.eclipse.swt.widgets.Shell`
  `shell`
  `protected org.eclipse.swt.widgets.Combo`
  `sizeChoice`
  `String`
  `strEnumMap`
  `int`
  `tclass`
  The attributes of the datatype
  `int`
  `torder`
  `int`
  `tsign`
  `int`
  `tsize`
  `protected org.eclipse.swt.widgets.Button`
  `useCommittedType`
  The Choice of the object list

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewDataObjectDialog​(org.eclipse.swt.widgets.Shell parent, HObject pGroup, List<?> objs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createDatatypeWidget()`
  `Datatype`
  `createNewDatatype​(String name)`
  `HObject`
  `getObject()`
  `Group`
  `getParentGroup()`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### shell

    protected org.eclipse.swt.widgets.Shell shell

  - ### curFont

    protected org.eclipse.swt.graphics.Font curFont

  - ### parentObj

    protected HObject parentObj
    the object which the this object is attached

  - ### refObject

    protected HObject refObject
    the object referenced

  - ### newObject

    protected HObject newObject
    the object created

  - ### lengthField

    protected org.eclipse.swt.widgets.Text lengthField
    TextField for entering the length of the data array or string.

  - ### namedChoice

    protected org.eclipse.swt.widgets.Combo namedChoice
    The Choice of the datatypes

  - ### classChoice

    protected org.eclipse.swt.widgets.Combo classChoice

  - ### sizeChoice

    protected org.eclipse.swt.widgets.Combo sizeChoice

  - ### endianChoice

    protected org.eclipse.swt.widgets.Combo endianChoice

  - ### useCommittedType

    protected org.eclipse.swt.widgets.Button useCommittedType
    The Choice of the object list

  - ### checkUnsigned

    protected org.eclipse.swt.widgets.Button checkUnsigned

  - ### objList

    protected List<?> objList

  - ### namedList

    protected List<Datatype> namedList

  - ### arrayLengthLabel

    protected org.eclipse.swt.widgets.Label arrayLengthLabel

  - ### tclass

    public int tclass
    The attributes of the datatype

  - ### tsize

    public int tsize

  - ### torder

    public int torder

  - ### tsign

    public int tsign

  - ### isEnum

    public boolean isEnum

  - ### strEnumMap

    public String strEnumMap

  - ### isVLen

    public boolean isVLen

  - ### isVlenStr

    public boolean isVlenStr

  - ### fileFormat

    protected FileFormat fileFormat

  - ### isH5

    protected boolean isH5

- ## Constructor Details

  - ### NewDataObjectDialog

    public NewDataObjectDialog​(org.eclipse.swt.widgets.Shell parent, HObject pGroup, List<?> objs)

- ## Method Details

  - ### createDatatypeWidget

    public void createDatatypeWidget()

  - ### createNewDatatype

    public Datatype createNewDatatype​(String name)

  - ### getObject

    public HObject getObject()
    Returns:
      the new object created.

  - ### getParentGroup

    public Group getParentGroup()
    Returns:
      the parent group of the new dataset.